Skip to main content
GET
Intraday Data

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

An option contract in the OSI format.

Example:

"TSLA230526P00167500"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

Response

Minute-by-minute aggregated data for an option contract, based on chain aggregates.

avg_price
string

The volume weighted average fill price of the contract.

Example:

"1.0465802437910297887119234370"

close
string

The last fill on the contract.

Example:

"0.03"

expiry
string

The contract expiry date in ISO format.

Example:

"2023-12-22T00:00:00.000Z"

high
string

The highest fill on that contract.

Example:

"2.95"

iv_high
string

The highest implied volatility at which a transaction occurred.

Example:

"0.675815680048166"

iv_low
string

The lowest implied volatility at which a transaction occurred.

Example:

"0.310502942482285"

low
string

The lowest fill on that contract.

Example:

"0.02"

open
string

The first fill on that contract.

Example:

"0.92"

option_symbol
string

The option symbol of the contract.

You can use the following regex to extract underlying ticker, option type, expiry & strike: ^(?<symbol>[\w]*)(?<expiry>(\d{2})(\d{2})(\d{2}))(?<type>[PC])(?<strike>\d{8})$

Keep in mind that the strike needs to be multiplied by 1,000.

premium_ask_side
string

The total premium value for transactions executed on the ask side.

Example:

"3138.00"

premium_bid_side
string

The total premium value for transactions executed on the bid side.

Example:

"1403.92"

premium_mid_side
string

The total premium value for transactions executed at the mid price.

Example:

"60.50"

premium_no_side
string

The total premium value for transactions without an identifiable side.

Example:

"0.00"

start_time
string

A UTC timestamp.

Example:

"2023-12-12T16:35:52.168Z"

volume_ask_side
integer

The amount of volume that happened on the ask side.

Ask side is defined as (ask + bid) / 2 < fill price.

Example:

119403

volume_bid_side
integer

The amount of volume that happened on the bid side.

Bid side is defined as (ask + bid) / 2 > fill price.

Example:

122789

volume_mid_side
integer

The amount of volume that happened in the middle of the ask and bid.

Mid is defined as (ask + bid) / 2 == fill price.

Example:

22707

volume_multi
integer

The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more.

Example:

7486

volume_no_side
integer

The amount of volume that happened on no identifiable side. This can be late, out of sequence and/or cross transactions.

Example:

0

volume_stock_multi
integer

The amount of volume that happened as part of a stock transaction and possibly other option contracts. This can be covered calls and more.

Example:

52

Last modified on September 29, 2026